# Highlights

## Create an account highlight

> Creates a new highlight on an account.\
> \
> \*\*Rate limit:\*\* 10 requests per minute

```json
{"openapi":"3.0.1","info":{"title":"Pylon API.","version":"1.0.0"},"servers":[{"url":"https://api.usepylon.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"description":"Authorization: Bearer <token>","scheme":"bearer","type":"http"}},"schemas":{"CreateAccountHighlightRequestBody":{"properties":{"content_html":{"description":"The HTML content for this highlight.","type":"string"},"expires_at":{"description":"Optional RFC3339 timestamp of when this highlight will expire.","type":"string"}},"required":["content_html"],"type":"object"},"CreateAccountHighlightResponseBody":{"properties":{"data":{"$ref":"#/components/schemas/AccountHighlight"},"request_id":{"type":"string"}},"type":"object"},"AccountHighlight":{"properties":{"account_id":{"description":"The ID of the account this highlight belongs to.","type":"string"},"content_html":{"description":"The HTML content of the highlight.","type":"string"},"created_at":{"description":"The timestamp of when the highlight was created.","type":"string"},"expires_at":{"description":"The timestamp of when the highlight expires, if set.","type":"string"},"id":{"description":"The ID of the account highlight.","type":"string"},"updated_at":{"description":"The timestamp of when the highlight was last updated.","type":"string"}},"type":"object"},"ErrorApiResponseBody":{"properties":{"errors":{"description":"The list of errors.","items":{"type":"string"},"type":"array"},"exists_id":{"description":"The ID of the object that already exists if this is a duplicate object error.","type":"string"},"request_id":{"description":"The request ID for tracking.","type":"string"}},"type":"object"}}},"paths":{"/accounts/{account_id}/highlights":{"post":{"description":"Creates a new highlight on an account.\n\n**Rate limit:** 10 requests per minute","operationId":"CreateAccountHighlight","parameters":[{"description":"The ID or external ID of the account that the highlight belongs to.","in":"path","name":"account_id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAccountHighlightRequestBody"}}},"required":false},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAccountHighlightResponseBody"}}},"description":""},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""}},"summary":"Create an account highlight","tags":["account-highlights"]}}}}
```

## Update an account highlight

> Updates an existing account highlight. Only provided fields are modified.\
> \
> \*\*Rate limit:\*\* 20 requests per minute

```json
{"openapi":"3.0.1","info":{"title":"Pylon API.","version":"1.0.0"},"servers":[{"url":"https://api.usepylon.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"description":"Authorization: Bearer <token>","scheme":"bearer","type":"http"}},"schemas":{"UpdateAccountHighlightRequestBody":{"properties":{"content_html":{"description":"The updated HTML content for this highlight.","type":"string"},"expires_at":{"description":"The updated expires at timestamp (RFC3339).","type":"string"}},"type":"object"},"UpdateAccountHighlightResponseBody":{"properties":{"data":{"$ref":"#/components/schemas/AccountHighlight"},"request_id":{"type":"string"}},"type":"object"},"AccountHighlight":{"properties":{"account_id":{"description":"The ID of the account this highlight belongs to.","type":"string"},"content_html":{"description":"The HTML content of the highlight.","type":"string"},"created_at":{"description":"The timestamp of when the highlight was created.","type":"string"},"expires_at":{"description":"The timestamp of when the highlight expires, if set.","type":"string"},"id":{"description":"The ID of the account highlight.","type":"string"},"updated_at":{"description":"The timestamp of when the highlight was last updated.","type":"string"}},"type":"object"},"ErrorApiResponseBody":{"properties":{"errors":{"description":"The list of errors.","items":{"type":"string"},"type":"array"},"exists_id":{"description":"The ID of the object that already exists if this is a duplicate object error.","type":"string"},"request_id":{"description":"The request ID for tracking.","type":"string"}},"type":"object"}}},"paths":{"/accounts/{account_id}/highlights/{highlight_id}":{"patch":{"description":"Updates an existing account highlight. Only provided fields are modified.\n\n**Rate limit:** 20 requests per minute","operationId":"UpdateAccountHighlight","parameters":[{"description":"The ID of the highlight to update.","in":"path","name":"highlight_id","required":true,"schema":{"type":"string"}},{"description":"The ID or external ID of the account that the highlight belongs to.","in":"path","name":"account_id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAccountHighlightRequestBody"}}},"required":false},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAccountHighlightResponseBody"}}},"description":""},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""}},"summary":"Update an account highlight","tags":["account-highlights"]}}}}
```

## Delete an account highlight

> Permanently deletes an account highlight by ID.\
> \
> \*\*Rate limit:\*\* 20 requests per minute

```json
{"openapi":"3.0.1","info":{"title":"Pylon API.","version":"1.0.0"},"servers":[{"url":"https://api.usepylon.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"description":"Authorization: Bearer <token>","scheme":"bearer","type":"http"}},"schemas":{"DeleteAccountHighlightResponseBody":{"properties":{"data":{"$ref":"#/components/schemas/DeleteAccountHighlightResponseData"},"request_id":{"type":"string"}},"type":"object"},"DeleteAccountHighlightResponseData":{"properties":{"success":{"type":"boolean"}},"type":"object"},"ErrorApiResponseBody":{"properties":{"errors":{"description":"The list of errors.","items":{"type":"string"},"type":"array"},"exists_id":{"description":"The ID of the object that already exists if this is a duplicate object error.","type":"string"},"request_id":{"description":"The request ID for tracking.","type":"string"}},"type":"object"}}},"paths":{"/accounts/{account_id}/highlights/{highlight_id}":{"delete":{"description":"Permanently deletes an account highlight by ID.\n\n**Rate limit:** 20 requests per minute","operationId":"DeleteAccountHighlight","parameters":[{"description":"The ID or external ID of the account that the highlight belongs to.","in":"path","name":"account_id","required":true,"schema":{"type":"string"}},{"description":"The ID of the highlight to delete.","in":"path","name":"highlight_id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteAccountHighlightResponseBody"}}},"description":"","headers":{"Body":{"schema":{"type":"object"}}}},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":""}},"summary":"Delete an account highlight","tags":["account-highlights"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usepylon.com/pylon-docs/developer/api/api-reference/accounts/highlights.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
